Index: /issm/trunk-jpl/externalpackages/petsc/install-3.14-tetralith.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/petsc/install-3.14-tetralith.sh	(revision 25667)
+++ /issm/trunk-jpl/externalpackages/petsc/install-3.14-tetralith.sh	(revision 25667)
@@ -0,0 +1,57 @@
+#!/bin/bash
+set -eu
+
+
+# NOTE: There is a single difference between the Linux and macOS 
+#		configurations, which is the addition of the -static-libgfortran 
+#		option to FFLAGS on the macOS static configurations. For the sake of 
+#		consistency, we maintain separate files for each, respective Linux and 
+#		macOS configuration.
+
+## Constants
+#
+VER="3.14.0"
+
+## Download source
+#$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://ftp.mcs.anl.gov/pub/petsc/release-snapshots/petsc-lite-${VER}.tar.gz" "petsc-${VER}.tar.gz"
+#
+## Unpack source
+#tar -zxvf petsc-${VER}.tar.gz
+#
+## Cleanup
+#rm -rf install src
+#mkdir install src
+#
+## Move source to 'src' directory
+#mv petsc-${VER}/* src/
+#rm -rf petsc-${VER}
+
+# Configure
+cd src
+./config/configure.py \
+	COPTFLAGS="-g -O2" CXXOPTFLAGS="-g -O2" FOPTFLAGS="-g -O2" \
+	--prefix="${ISSM_DIR}/externalpackages/petsc/install" \
+	--PETSC_DIR="${ISSM_DIR}/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-valgrind=0 \
+	--with-x=0 \
+	--with-ssl=0 \
+	--with-pic=1 \
+	--with-blas-lapack-dir="/software/sse/easybuild/prefix/software/imkl/2018.1.163-iimpi-2018a/mkl" \
+	--with-cc="/software/sse/easybuild/prefix/software/impi/2018.1.163-iccifort-2018.1.163-GCC-6.4.0-2.28/bin64/mpicc" \
+	--with-cxx="/software/sse/easybuild/prefix/software/impi/2018.1.163-iccifort-2018.1.163-GCC-6.4.0-2.28/bin64/mpicxx" \
+	--with-fc="/software/sse/easybuild/prefix/software/impi/2018.1.163-iccifort-2018.1.163-GCC-6.4.0-2.28/bin64/mpiifort" \
+	--known-mpi-shared-libraries=1 \
+	--known-64-bit-blas-indices \
+	--known-mpi-long-double=1 \
+	--known-mpi-int64_t=1 \
+	--known-mpi-c-double-complex=1 \
+	--with-shared-libraries=1 \
+	--download-metis=1 \
+	--download-parmetis=1 \
+	--download-scalapack=1 \
+	--download-mumps=1
+
+# Compile and install
+make
+make install
